API ReferenceapianalyticsGET /v1/cohorts/{id}/members

GET /v1/cohorts/\{id\}/members

Service: analytics · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Query parameters

  • limit (integer) —
  • offset (integer,null) —

Responses

200 Cohort members

{
  "type": "object",
  "properties": {
    "cohort_id": {
      "type": "string"
    },
    "name": {
      "type": "string"
    },
    "description": {
      "type": [
        "string",
        "null"
      ]
    },
    "brand_id": {
      "type": "string"
    },
    "members": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "member_id": {
            "type": "string"
          },
          "brand_id": {
            "type": "string"
          },
          "joined_at": {
            "type": "string"
          }
        },
        "required": [
          "member_id",
          "brand_id",
          "joined_at"
        ]
      }
    },
    "total": {
      "type": "number"
    }
  },
  "required": [
    "cohort_id",
    "name",
    "description",
    "brand_id",
    "members",
    "total"
  ]
}

404 Cohort not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://analytics.platform.loop.health/v1/cohorts/{id}/members \
  -H "Authorization: Bearer $ACCESS_TOKEN"